[wp-hackers] "deprecating" direct calls to wp-config.php

Stephen Rider wp-hackers at striderweb.com
Mon Nov 2 02:56:44 UTC 2009

Hi all --

I just wanted to call a bit of attention to this patch:

Per a recent discussion on this list, we should be discouraging  
plugins calling wp-config.php directly.  The patch adds a "deprecated"  
call to wp-config/php that should only fire when it's called  
directly.  (Specifically, it only happens if the file is called and  
ABSPATH is not already defined.)

I wanted to point this out here, but let's keep discussion on the trac  
site itself and not clutter up wp-hackers.  Please reply there.


Stephen Rider

More information about the wp-hackers mailing list